<?php
include_once("embedded/functions/site_functions.php");
if ((isset($_SESSION) && !empty($_SESSION)) && isset($_SESSION['password']) && !empty($_SESSION['password']))
{
db_open();
$language=$_SESSION['language'];
if ($language==1)
	{
	$manual="Manual";
	$save="Εκκίνηση";
	$exit="Έξοδος";
	$duration="Διάρκεια";
	$script='<script type="text/javascript" src="scripts/formfunctions_control_gr.js"></script>';
	$minutes="λεπτά";
	$hed1="Ορίστε Διάρκεια!";
	$title="SmartGreenhouse - Πίνακας Ελέγχου";
	$titll="Ορίστε διάρκεια λειτουργίας του manual!";
	}
else
	{
	$script='<script type="text/javascript" src="scripts/formfunctions_control.js"></script>';
	$manual="Manual";
	$save="Start";
	$exit="Exit";
	$duration="Duration";
	$minutes="minutes";
	$hed1="Set Duration!";
	$title="SmartGreenhouse - Control Panel";
	$titll="Set duration of manual";
	}
$time=time();
$a=password($option=4,$_SESSION['userlevel'],$_SESSION['email'],$_SESSION['password'],$_SESSION['device_id'],$time);
$css='<link href = "css/index.css" rel = "stylesheet" type = "text/css" />';
heder_js($title,$script,$css);
main_things();
echo"<div id ='main_window'>";
echo"<div id='last_data'>";
require("embedded/pages/last_data.php");
echo"</div>";
echo<<<a
<div id="button">
<button type="button" id="l_f" class="button" onclick="choose_function(1);" >$manual</button>
<button type="button" id="db1" class="db button1 vision" onclick="choose_function(2);" >$save</button>
<button type="button" id="db2" class="db button2 vision" onclick="choose_function(3);" >$exit</button>
</div>
<div id="duration" class="decision vision" title="$titll"><b>$duration <span class="important">(manual)</span>:</b><br /><input type="text" id="duration_value" onkeyup="duration_validate(this.value);"/><i>$minutes</i><a id="check" class="o_msg"><br /><span class="invalid">$hed1</span></a></div>
</div>
a;
echo"<div id='s_n'> </div>";
echo"</div></body></html>";
db_close();
}
else
{
if (isset($_GET['qq']) && !empty($_GET['qq']) && ($_GET['qq']==1 || $_GET['qq']==2))
	{
	$_SESSION['lang']=$_GET['qq'];
	}
else
{	
if (empty($_SESSION))
	{
	ob_start();
	$_SESSION['lang']=1;
	}
}
$lang=$_SESSION['lang'];	
if($lang==1)
{
$image="icte_gr.png";
$head1='
<div id="title_main">Συντελεστές:</div>
<table id="footer_main_table">
<tr>
<td><b>Γιαννόπουλος Νικόλαος</b></td><td>ΑΕΜ:120</td>
</tr>
<tr>
<td class="right_main"><i>email:<i></td><td><a href="mailto:gnnpls_nikos@hotmail.com">gnnpls_nikos@hotmail.com</a></td>
</tr>
<tr>
<td></td><td><a href="mailto:gnnpls.nikos@gmail.com">gnnpls.nikos@gmail.com</a></td>
</tr>
<tr><td></td><td></td></tr>
<tr><td></td><td></td></tr>
<tr>
<td class="right_main"><i>Επιβλέπων:</i></td><td></td>
</tr>
<tr>
<td><b>DR. Δασυγένης Μηνάς</b></td><td></td>
</tr>
<tr>
<td class="right_main"><i>email:</i></td><td><a href="mailto:"mdasyg@ieee.org">mdasyg@ieee.org</a></td></tr>
</table>
';
$head2='<div id="title_main">Θέμα Διπλωματικής Εργασίας:</div>
<div id="keimeno1">
Σχεδίαση και υλοποιήση ολοκληρωμένου συστήματος
<br /><li><i>καταγραφής και παρακολούθησης περιβαλλοντικών συνθηκών</i></li>
<li><i>απομακρυσμένου ελέγχου μέσω ιστόχωρου</i></li>
για <b>θερμοκήπια</b> με την χρήση Η/Υ,smartphone
</div>';
$image1="gr_label.png";
$head3='<div id="title_main">Σχεδιασμός:</div>
<img src="css/images/'.$image1.'" alt="language" class="image_mainn1"></img>';
$head4='<div id="title_main">Είσοδος:</div>';
$title1="Ενεργοποιήστε την προβολή στα αγγλικά";
$title2="Εμφάνιση στην ελληνική γλώσσα!";
$f="Υπενθύμιση κωδικού";
$p="κωδικός";
$s="είδοδος";
$c="άκυρο";
$r="Να παραμείνω συνδεδεμένος";
$ti="Επισκεφθείτε την ιστοσελίδα του icte.uowm.gr";
$c1="Έχετε ήδη επιβεβαιώσει τον λογαριασμό σας";
$c2="Ο λογαριασμός σας επιβεβαιώθηκε. Μπορείτε να εισέλθετε!";
$problem="Πρόβλημα βάσης δεδομένων!";
$wro="Δεν μπορείτε να εισέλθετε. Είτε είστε ήδη συνδεδεμένος είτε πληκτρολογήσατε λάθος κωδικό!";
$wro2="Δεν μπορείτε να εισέλθετε. To email σας δεν υπάρχει!";
}
else
{
$image="icte_en.png";
$head1='
<div id="title_main">Directors:</div>
<table id="footer_main_table">
<tr>
<td><b>Giannopoulos Nikolaos<b></td><td>Student ID:120</td>
</tr>
<tr>
<td class="right_main"><i>email:<i></td><td><a href="mailto:gnnpls_nikos@hotmail.com">gnnpls_nikos@hotmail.com</a></td>
</tr>
<tr>
<td></td><td><a href="mailto:gnnpls.nikos@gmail.com">gnnpls.nikos@gmail.com</a></td>
</tr>
<tr><td></td><td></td></tr>
<tr><td></td><td></td></tr>
<tr>
<td class="right_main"><i>Supervisor:<i></td><td></td>
</tr>
<tr>
<td><b>DR. Dasugenis Mhnas</b></td><td></td>
</tr>
<tr>
<td class="right_main"><i>email:</i></td><td><a href="mailto:"mdasyg@ieee.org">mdasyg@ieee.org</a></td></tr>
</table>
';
$head2='
<div id="title_main">Thesis Statement:</div>
<div id="keimeno1">
Planning and implementation of embedded system of
<br /><li><i> monitoring and tracking environmental conditions</i></li>
<li><i>remote controlling through website</i></li>
for <b>greenhouses</b> via PC,smartphone
</div>';
$image1="en_label.png";
$head3='<div id="title_main">Architecture:</div>
<img src="css/images/'.$image1.'" alt="language" class="image_mainn1"></img>';
$head4='<div id="title_main">Log in:</div>';
$title1="You are in english version";
$title2="Enable greek version!";
$f="forgot password";
$p="password";
$s="submit";
$c="clear";
$r="Remember me";
$ti="Visit icte.uowm.gr";
$c1="Customer already verified!";
$c2="Customer verified.Please sign in!";
$problem="Database Troubleshoot!";
$wro="You cannot log in. You have typed wrong password or you are already logged in!";
$wro2="You cannot log in. You have an email that does not exist";
}


$title="Uowm Thesis - SmartGreenHouse";
$script ='
<script type="text/javascript" src="scripts/formfunctions_index.js"></script>';
$css='
<link href = "css/index.css" rel = "stylesheet" type = "text/css" />';
heder_js($title,$script,$css);
number_of_visitors();
$msg="";
if (isset($_GET['q']) && !empty($_GET['q']))
	{
	if($_GET['q']>=1999)
	{
	$private_id=$_GET['q'];
	db_open();
	$sql="SELECT * FROM users WHERE private_id='$private_id'";
	@ $result=mysql_query($sql);
	if ($result!=0)
		{
		$row=mysql_fetch_array($result);
		$id=$row[0];
		$active=$row[14];
		if ($active==1)
			{
			$msg= "$c1";
			}
		else
			{
			$sql1="UPDATE users SET active='1' WHERE private_id='$private_id'";
			@ $res=mysql_query($sql1);
			if ($res!=0)
				{
				$msg="$c2";

				}
			}
		db_close();
		}
	else 
		{
		$msg="$problem";
		}
	}
	else
		{
		if($_GET['q']==1)
			{
			$msg="$wro";
			}
		else
			{
			$msg="$wro2";
			}
		}
}



echo<<<a
<body>
<div id="container1">
<img src="css/images/en1.png" class="flaga" alt="en" title="$title1" onclick="logout(2);"></img>
<img src="css/images/gr1.png" class="flaga" alt="gr" title="$title2" onclick="logout(1);"></img>
<div id="image">
<img src="css/images/smart_green_house.png" alt="main"></img>
</div>
<div id="review_main1">
$head2
</div>
<div id="review_main2">
$head3
</div>
<a href="http://www.icte.uowm.gr"><img src="css/images/$image" alt="language" class="image_mainn" title="$ti"></img></a>
<div id="review_main3">
$head4
<table id="form_main">
<form id="log_in" method = "post" action = "embedded/functions/password_check.php" enctype="multipart/form-data">
<tr>
<td>email:</td>
<td><input type="text" id="1" class="main_input" name="email" size="40" onchange="email_validator(this.value,1);" /></td>
</tr>
<tr>
<td>$p:</td>
<td><input type="password" id="2" name= "password" size="40" class="main_input"</td>
</tr>
<tr>
<td></td>
</tr>
<tr>
<td></td>
<td><input type="checkbox" name="remember_me" value="1" /><span class="d_important">$r</span>
</tr>
<tr>
<td></td>
<td><input type="submit" value="$s" /> <input type="reset" value="$c" />
</td>
</tr>
<tr>
<td></td>
<td>
<input type="button" value="$f" onclick="forgot_password();" /></td>
</tr>
</form>
</table>
<div id="index_msg" class="o_msg">$msg</div>
</div>
<div id="review_main4">
$head1
</div>
a;

echo<<<a
</div>
</body>
</html>
a;
}
?>